<?xml version="1.0"?>
<ArrayOfFBEvent xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
  <FBEvent>
    <User>Dan McFadden</User>
    <Comment />
    <StatusString>Edited</StatusString>
    <TimeStamp>2024-01-02T16:18:55Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Jaime Lopez</User>
    <Comment>Verified with DataPRO v4.1.464, 4.2.168
 
With a SPT I created a test with multiple ROIs, ran test up to Arm and triggered
 
In Download ROI multiple ROIs are able to download and view data:</Comment>
    <StatusString>Closed</StatusString>
    <TimeStamp>2023-10-10T17:31:35Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>Closed</Status>
  </FBEvent>
  <FBEvent>
    <User>Dan McFadden</User>
    <Comment />
    <StatusString>Edited</StatusString>
    <TimeStamp>2023-10-05T15:47:00Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Jaime Lopez</User>
    <Comment />
    <StatusString>Assigned</StatusString>
    <TimeStamp>2023-09-28T18:02:19Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Dan McFadden</User>
    <Comment />
    <StatusString>ReleaseNoted</StatusString>
    <TimeStamp>2023-09-27T18:43:13Z</TimeStamp>
    <ReleaseNote>Addresses an issue downloading with squibs in tests with multiple regions of interest</ReleaseNote>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Jerry Lawrence</User>
    <Comment>This issue case 34252 was accidentally used in the Logs for case 33192.</Comment>
    <StatusString>Edited</StatusString>
    <TimeStamp>2023-09-16T04:04:04Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Jerry Lawrence</User>
    <Comment>49594 is 4.1; 49594 is 4.2</Comment>
    <StatusString>Resolved</StatusString>
    <TimeStamp>2023-09-16T03:28:27Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>Resolved</Status>
  </FBEvent>
  <FBEvent>
    <User>Jerry Lawrence</User>
    <Comment>49588 is 4.0</Comment>
    <StatusString>Edited</StatusString>
    <TimeStamp>2023-09-15T20:51:16Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Jerry Lawrence</User>
    <Comment>To test:

Create a Test Setup with multiple ROIs, and at least one squib channel.
Verify that the download works correctly.</Comment>
    <StatusString>Assigned</StatusString>
    <TimeStamp>2023-09-14T23:02:14Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Dan McFadden</User>
    <Comment />
    <StatusString>Assigned</StatusString>
    <TimeStamp>2023-09-14T21:17:44Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Dan McFadden</User>
    <Comment>create a squib setting and a test setup with multiple roi and said squib setting.
 
when you download it will strip off the SPT from the DAS to download from.
 
this is because:
 
this function removes the SPT from the daslist;
 
dlInfo?.DasList.RemoveAll(das =&gt; NotValidForMultipleROI(das, roi.ChannelNames));
 
this function eliminates the SPT because it's looking for a decorated channel name but is using non decorated names to do it.
 
you can see this here:
 
                            case AnalogInputDASChannel aic:
                                 //30129 Cannot download ROI if Test Setup has TSR AIR and multiple ROIs
                                 chan = RegionOfInterest.GetChanName(aic.SerialNumber, aic.HardwareChannelName, aic.OriginalChannelName);
                                 break;
                             case OutputSquibChannel squib:
                                 chan = squib.SquibDescription;
 
 
on the other side of things this function is populating the structure validChannels;
 
                                var hashName = achHardware + "\\" +
                                     (ach.SensorData.IsSquib() ?
                                         ach.SensorData.Comment :
                                         ach.SensorData.IsTestSpecificEmbedded ?
                                             ach.Sensor :
                                             ach.SensorData.SerialNumber);
 
one of these two sides need to change to allow the download to continue.
 
------------------------------------------------------------------------------------------------
 
 
#12408 Calspan | Can't download SPT data when Multiple ROI assigned
 
 
 
 
Submitted
 
September 14, 2023 at 05:58
 
   
 
Received via
 
Web Form
 
   
 
Requester
 
Griffin Murray &lt;griffin.murray@calspan.com&gt;
 
 
 
 
CCs
 
Chad J Ivan &lt;chad.ivan@dtsweb.com&gt;, Dan McFadden &lt;dan.mcfadden@dtsweb.com&gt;, Nathan Brown &lt;nathan.brown@dtsweb.com&gt;, Alexander Finley &lt;alexander.finley@calspan.com&gt;, Kyle Konieczny &lt;kyle.konieczny@calspan.com&gt;, Steven Keller &lt;steven.keller@calspan.com&gt;
 
 
 
 
Status
 
Open
 
   
 
Type
 
Problem
 
   
 
Priority
 
Normal
 
   
 
Group
 
Support
 
   
 
Assignee
 
Chris Balogh
 
   
 
Ticket status
 
Open
 
 
 
 
 
Ticket Source
 
Help Center
 
   
 
Product Family
 
Software::DataPRO
 
   
 
Software Version
 
4.0.1048
 
   
 
Problem Source
 
Software::Software Bug
 
   
 
Current Department [Optional]
 
Tech Support
 
   
 
Customer Country
 
United States of America
 
   
 
Service Location
 
DTS Michigan
 
   
 
Customer State
 
New York
 
 
 
 
 
Nathan Brown September 14, 2023 at 05:58
 
 
Hi Griffin,
  
 I started this ticket to track the SPT download issue you and Steve have reported this past week.
  
 Calspan has run 3 full scale tests where SLICE PRO TOM channels have not been in the binary folder and have not exported.
  
 I'll post links internally to the following tests:
  
 GOOD Test: 
 CAL5777_C - JCRSH-00008 - Euro NCAP Pole - LX3 
 This test does not have multiple ROI.
  
 BAD Test:
 CAL5773_C - JCRSH-00010 - FMVSS 214 LH 2nd Row Sid
 This test has multiple ROI.
  
 Both tests were run with 4.0.1048.
  
 Calspan must continue running multiple ROI tests with SPT, and have on average one a day on the schedule for the foreseeable future.
 
 
 
 
Nathan Brown September 14, 2023 at 06:02Internal note
 
 
Test Folders are here:
 \\dts.local\files\HelpCenter\Private\Zendesk\12408
  
 
 
 
 
 
Support Software by Zendesk</Comment>
    <StatusString>Opened</StatusString>
    <TimeStamp>2023-09-14T21:17:44Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>Opened</Status>
  </FBEvent>
</ArrayOfFBEvent>